Subject: re: mail_append()

From: Bill Yeager <[email-masked]>
Date: Thu, 10 Sep 1992 10:14:32 PDT

>> Based on this I suggest that mail_append(), mail_find(), mail_rename(),
   mail_delete() and mail_create() only operate on the first driver that is
   lunk in with mail_link(). Seems it will make our lives much easier.

Seems a little strange to me that which mail box format is chosen is a function
of the hardcoded sequence of calls to mail_link() from imapd.c. That certainly
would not work here where we have:

  mail_link (&tenexdriver);     /* install the Tenex mail driver */
  mail_link (&mboxdriver);      /* install the mbox driver - wjy 17 Aout 92*/
  mail_link (&bezerkdriver);    /* install the Berkeley mail driver */

And, most people use tenex format by others also use the other two formats.
Maybe you don't mean hard linked in the code, but perhaps the first driver
loaded in mail_open() as the "factory?" I don't think either of these choices
are good solutions in environments where multiple mailbox formats are
supported. 

Bill

-------